| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes
qx::exception Class Reference
QxCommon : QxOrm library common tools and macros

qx::exception : exception with error code and error description More...

`#include <QxException.h>`

List of all members.

## Public Member Functions
| exception (const QString &desc)
| exception (long code, const QString &desc)
virtual | ~exception () throw ()
virtual const char * | what () const throw ()
long | getCode () const
QString | getDescription () const
qx_bool | toQxBool () const
## Private Member Functions
void | updateWhat ()
## Private Attributes
long | m_code
| Error code.
QString | m_desc
| Error description.
QString | m_what
| Formatted error : code + "^" + description.

## Detailed Description

qx::exception : exception with error code and error description

Definition at line 57 of file QxException.h.

## Constructor & Destructor Documentation

qx::exception::exception | ( | const QString & | desc | ) | `[inline]`

Definition at line 68 of file QxException.h.

qx::exception::exception | ( | long | code,
|  | const QString & | desc
| ) |  | `[inline]`

Definition at line 69 of file QxException.h.

virtual qx::exception::~exception | ( |  | ) | throw ()`[inline, virtual]`

Definition at line 70 of file QxException.h.

## Member Function Documentation

long qx::exception::getCode | ( |  | ) | const`[inline]`

Definition at line 74 of file QxException.h.

QString qx::exception::getDescription | ( |  | ) | const`[inline]`

Definition at line 75 of file QxException.h.

qx_bool qx::exception::toQxBool | ( |  | ) | const`[inline]`

Definition at line 76 of file QxException.h.

void qx::exception::updateWhat | ( |  | ) | `[inline, private]`

Definition at line 80 of file QxException.h.

virtual const char* qx::exception::what | ( |  | ) | const throw ()`[inline, virtual]`

Definition at line 72 of file QxException.h.

## Member Data Documentation

long qx::exception::m_code`[private]`

Error code.

Definition at line 62 of file QxException.h.

QString qx::exception::m_desc`[private]`

Error description.

Definition at line 63 of file QxException.h.

QString qx::exception::m_what`[private]`

Formatted error : code + "^" + description.

Definition at line 64 of file QxException.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxCommon/QxException.h